/**
 * This file defines configuration variables for the BMC BPPM Integration Service JS
 */

// Executables for OMU Integration
var omu_executable = "/opt/xmatters/integrationagent/bin/XM-OMU-Bridge";
var sql_executable = "/opt/OV/bin/OpC/call_sqlplus.sh";

// OMU User to be used for Updating OMU Messages via the XM-OMU-Bridge C Program which uses the OMU C API
var omu_user = "xMattersOM";

// location of the maximo password file
var PASSWORD_FILE = "conf/om.pwd";

// Customize these if you want the old behaviour of targeting an AlarmPoint
// Group based on the name of the OM-U Message Group.
var useMessageGroupAsRecipient = false;
var messageGroupRecipientPrefix = "OVO-";

var requestCompletedMessage = "HP Operations Manager Request Completed";
var inputCompletedMessage = "Enrichment Complete!";

// The business script in xMatters used to present and handle responses for this integration.
var DEDUPLICATOR_FILTER = "hpoml-1-0-1";

// Sends a delete prior to creating the new event to clear out any existing events for this Incident ID
var DELETE_EXISTING_EVENTS = true;

// Update BMC BPPM events with xMatters notification delivery status.
var ANNOTATE_DELIVERY = true;

/**
 * A global logger for any js files that aren't class definitions using WSUtil as a super-class
 */
var log = new Logger();
