REM ***********************************************************************
REM File:        count_active_messages.sql
REM Description: SQL*Plus script to retrieve a count of all active OM-U 
REM              messages.
REM Language:    SQL*Plus
REM Package:     HP Operations Manager for UNIX AlarmPoint Integration
REM
REM (c) Copyright AlarmPoint Systems Inc 2008
REM ***********************************************************************

set heading off
set echo off
set linesize 512
set pagesize 0
set feedback off
set newpage 0;
Set Verify Off
ttitle off;

select 
        count( am.message_number )
from
        opc_act_messages   am,
        opc_msg_text       mt,
        opc_node_names     nn,
        opc_user_data      ud,
        opc_op_realm       rm,
        opc_nodes_in_group ng
where
              am.ackn_flag = 0
        and   am.message_number = mt.message_number
        and   mt.order_number = 1
        and   am.node_id = nn.node_id
        and   am.node_id = ng.node_id
        and   ng.node_group_id = rm.node_group_id
        and   am.message_group = rm.msg_group_name
        and   rm.user_id = ud.user_id
        and   ud.name = '&1';
quit;

